#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "../include/ephi.h"

struct eh ephihdr;
struct ei ephi;

int debug= 0; /* for ephinterp.c */

main ()
{
  double jdint, seci;
  double outvec[6], backvec[6], aberout[3], aberback[3];
  double relcorrout, relcorrback;
  int fvel= 1;	/* gimme velocities - make 'em up if necessary */
  int i;
  int ircode;	/* Failure? */
  char str[256] = "apollo11_cpf_150311_5701.utx_leapday-1";


  printf ("Leap second interpolation test\n\n");
  if (cephinit (str) != 0)
    {
      printf("File %s does not exist.\n",str);
      exit;
    }


  jdint= 2400000.5e0+ 57092.0e0;
  seci= 3600;		// drop first few records as interpolator ramps up
  for (i=0;i<=472;i++)	// continue until interpolator runs out
    {
      if (jdint < 2457093.5e0)	// until date of leap second...
        cinterp_pvac (jdint, seci, outvec, backvec, aberout, aberback, 
          &relcorrout, &relcorrback, fvel, &ircode);
      else	// simulate station clock jumping forward
        cinterp_pvac (jdint, seci+1, outvec, backvec, aberout, aberback, 
          &relcorrout, &relcorrback, fvel, &ircode);
      printf ("out  %9.1f %8.2f%18.3f%18.3f%18.3f\n", 
          jdint-2400000.5e0, seci, outvec[0],outvec[1],outvec[2]);
      printf ("back                   %18.3f%18.3f%18.3f\n", 
          backvec[0],backvec[1],backvec[2]);
      //printf ("                  %20.6f%20.6f%20.6f\n", 
      //    outvec[3],outvec[4],outvec[5]);
      seci+= 900;
      if (seci >= 86400.e0)
        {
          jdint= jdint+ 1;
          seci= seci- 86400.e0;
        }
    }
  exit (0);
}
