C*
      SUBROUTINE DDREH(IAXE,WINKEL,DRMAT)
CC
CC NAME       :  DDREH
CC
CC    CALL DDREH(IAXE,WINKEL,DRMAT)
CC
CC PURPOSE    :  COMPUTES A MATRIX OF A PARTICULAR ROTATION IN 3-D
CC               EUCLIDEAN SPACE.
CC
CC PARAMETERS :
CC         IN :  IAXE   : ROTATION AXIS (1,2 OR 3)            I*4
CC               WINKEL : ANGLE                               R*8
CC        OUT :  DRMAT  : RESULTING 3*3 ROTATION MATRIX       R*8(3,3)
CC
CC SR CALLED  :  ---
CC
CC REMARKS    :  ---
CC
CC AUTHOR     :  G.BEUTLER, M.ROTHACHER
CC
CC VERSION    :  3.0
CC
CC CREATED    :  87/10/30 15:22        LAST MODIFIED :  87/10/30 17:28
CC
CC COPYRIGHT  :  ASTRONOMICAL INSTITUTE
CC      1987      UNIVERSITY OF BERNE
CC                    SWITZERLAND
CC
C*
      REAL*8 DRMAT(3,3),WINKEL,S,C
      S=DSIN(WINKEL)
      C=DCOS(WINKEL)
      DRMAT(1,1)=C
      DRMAT(2,2)=C
      DRMAT(3,3)=C
      DRMAT(1,2)=S
      DRMAT(2,3)=S
      DRMAT(3,1)=S
      DRMAT(2,1)=-S
      DRMAT(3,2)=-S
      DRMAT(1,3)=-S
      DO 1 I=1,3
        DRMAT(I,IAXE)=0.D0
        DRMAT(IAXE,I)=0.D0
1     CONTINUE
      DRMAT(IAXE,IAXE)=1.D0
      RETURN
      END
